group "ProposedMatch.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 3 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
matchId?, difference*, matchScore?

Content Model Elements (3):

  difference (defined in ProposedMatch.model group), matchId (defined in ProposedMatch.model group), | matchScore

Known Usage Locations

- In definitions of global complexTypes (3):
  EventProposedMatch, PositionProposedMatch, TradeCashflowsProposedMatch

Annotation
A structure that describes a potential match for a trade or event, together with descriptors of that match (quality, etc.).
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="ProposedMatch.model"> <xsd:sequence> <xsd:element minOccurs="0" name="matchId" type="MatchId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="difference" type="TradeDifference"/> <xsd:element minOccurs="0" name="matchScore" type="xsd:decimal"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
difference

  Type: | TradeDifference, complex content

  A type used to record the details of a difference between two sides of a business event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="difference" type="TradeDifference"/>

matchId

  Type: | MatchId, simple content

  A unique identifier assigned by the matching service to each set of matched positions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matchId" type="MatchId"/>

matchScore

  Type: | xsd:decimal, predefined, simple content

  Numeric score to represent the quality of the match.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matchScore" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.